#ifndef Morse_h
#define Morse_h

#include "Arduino.h"


/**
	Simple C++ class for sending Morse code flashes by switching a pin on and off
	Ian Johnson - Wolfram Research 2015
*/
class Morse
{
	public:
		//pin is the pin to switch on and off, can be any pin
		//time_unit is the amount of time in milliseconds that corresponds to the time in between shorts in a dot
		Morse(int pin, int time_unit);
		//turns the pin on, waits for time_unit, then turns the pin off and waits again for time_unit
		void dot();
		//turns the pin on, waits for 3 * time_unit, then turns the pin off and waits again for time_unit
		void dash();
		//for displaying full strings, maps each character in the string to the corresponding morse code
		//Note: string must be a valid null terminated c string
		void morseCoder(char * string);
	private :
		int _pin;
		int _unit;
};


#endif
